#define XERR
#include "survival.ih"

Survival::Survival()
{
    if (not Globals::isBreast())
    {
        d_vary = &Survival::varyLung;
        d_write = &Survival::writeLung;
        d_cptVSDrow = &Survival::cptVSDrow;

        loadS3();
        loadS4();
    }
    else
    {
        d_vary = &Survival::varyBreast;
        d_write = &Survival::writeBreast;
        d_cptVSDrow = &Survival::noop;

        d_vsdMatrix.push_back(                  // load the BC 'type' params
                        Parser::VSDparameters(
                            VARY_MEAN, 
                            { "Tumor:", "Survival:", "type:" },
                            { 'a', 'b', 'c', 'd' }
                        )
                    );
    }
}



